Bug 394261 - (CVE-2007-5960) CVE-2007-5960 Mozilla Cross-site Request Forgery flaw
CVE-2007-5960 Mozilla Cross-site Request Forgery flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=mozilla,report...
: Security
Depends On: 394281 394291 394301 394311 394321 394331 394341 394351 394361 394371 394381 394391 394401 394411
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 10:17 EST by Josh Bressers
Modified: 2016-03-04 07:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 04:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-11-21 10:17:14 EST
A race condition exists when setting the window.location property on a web page.
This flaw could allow a page to set an arbitrary Referer header, which may lead
to a Cross-site Request Forgery (CSRF) attack against websites that rely only on
the Referer header.
Comment 5 Josh Bressers 2007-11-26 17:31:29 EST
Lifting embargo
Comment 6 Red Hat Product Security 2008-07-25 04:34:24 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1084.html
  http://rhn.redhat.com/errata/RHSA-2007-1082.html
  http://rhn.redhat.com/errata/RHSA-2007-1083.html


Note You need to log in before you can comment on or make changes to this bug.